package com.ruoyi.ems.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 采集设备信息对象 ems_base_collect_device_info
 *
 * @author Yinq
 * @date 2024-05-20
 */
public class EmsBaseCollectDeviceInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增标识
     */
    private Long objId;

    /**
     * 采集设备编号
     */
    @Excel(name = "采集设备编号")
    private String collectDeviceId;

    /**
     * 采集设备名称
     */
    @Excel(name = "采集设备名称")
    private String collectDeviceName;

    /**
     * 能源类型
     */
    @Excel(name = "能源类型")
    private Long energyTypeId;

    /**
     * 能源类型名称
     */
    @Excel(name = "能源类型名称")
    private String energyTypeName;

    /**
     * 型号
     */
    @Excel(name = "型号")
    private String model;

    /**
     * 生产厂家
     */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /**
     * 通讯地址
     */
    @Excel(name = "通讯地址")
    private String ipAddress;

    /**
     * 生产日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date produceDate;

    /**
     * 安装地址
     */
    @Excel(name = "安装地址")
    private String settingAddress;

    /**
     * 启用标识（0启用 1停用）
     */
    @Excel(name = "启用标识", readConverterExp = "0=启用,1=停用")
    private String isFlag;

    public String getEnergyTypeName() {
        return energyTypeName;
    }

    public void setEnergyTypeName(String energyTypeName) {
        this.energyTypeName = energyTypeName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setCollectDeviceId(String collectDeviceId) {
        this.collectDeviceId = collectDeviceId;
    }

    public String getCollectDeviceId() {
        return collectDeviceId;
    }

    public void setCollectDeviceName(String collectDeviceName) {
        this.collectDeviceName = collectDeviceName;
    }

    public String getCollectDeviceName() {
        return collectDeviceName;
    }

    public void setEnergyTypeId(Long energyTypeId) {
        this.energyTypeId = energyTypeId;
    }

    public Long getEnergyTypeId() {
        return energyTypeId;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getModel() {
        return model;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setProduceDate(Date produceDate) {
        this.produceDate = produceDate;
    }

    public Date getProduceDate() {
        return produceDate;
    }

    public void setSettingAddress(String settingAddress) {
        this.settingAddress = settingAddress;
    }

    public String getSettingAddress() {
        return settingAddress;
    }

    public void setIsFlag(String isFlag) {
        this.isFlag = isFlag;
    }

    public String getIsFlag() {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("collectDeviceId", getCollectDeviceId())
                .append("collectDeviceName", getCollectDeviceName())
                .append("energyTypeId", getEnergyTypeId())
                .append("model", getModel())
                .append("manufacturer", getManufacturer())
                .append("ipAddress", getIpAddress())
                .append("produceDate", getProduceDate())
                .append("settingAddress", getSettingAddress())
                .append("isFlag", getIsFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
